# Generated by Django 3.2.25 on 2024-03-27 10:06

from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0012_alter_clusterresources_config_file'),
    ]

    operations = [
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.CharField(default=uuid.uuid4, editable=False, help_text='The id of the Application', max_length=42, primary_key=True, serialize=False, unique=True)),
                ('app_name', models.CharField(help_text='The name of the Application that will be deployed', max_length=42)),
                ('cpus', models.IntegerField(blank=True, help_text='The number of CPUs of the Application', null=True)),
                ('memory', models.IntegerField(blank=True, help_text='The RAM of the Application in MB', null=True)),
                ('storage', models.IntegerField(blank=True, help_text='The space of the volume in GB', null=True)),
                ('endpoint', models.URLField(blank=True, help_text='The endpoint of the Application', null=True)),
                ('status', models.CharField(choices=[('pending', 'pending'), ('running', 'running'), ('evicted', 'evocted'), ('failed', 'failed'), ('unknown', 'unknown')], default='pending', help_text='The status of the deployment of the Application', max_length=42)),
            ],
        ),
        migrations.CreateModel(
            name='Data',
            fields=[
                ('id', models.CharField(default=uuid.uuid4, editable=False, help_text='The id of the data', max_length=42, primary_key=True, serialize=False, unique=True)),
                ('type', models.CharField(default='Generic dataset', help_text='The type of the dataset', max_length=46)),
                ('description', models.CharField(default='Generic description', help_text='A description for the dataset', max_length=80)),
                ('metadata', models.CharField(default=' ', help_text='The metadata of the dataset', max_length=255)),
                ('endpoint', models.URLField(blank=True, help_text='The endpoint of the S3 bucket where the dataset is accessible', null=True)),
            ],
        ),
        migrations.AlterField(
            model_name='clusterresources',
            name='cpus',
            field=models.IntegerField(blank=True, help_text='The number of CPUs of the Cluster', null=True),
        ),
    ]
